package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.FlowTaskResult;
import com.qmth.sop.business.entity.TBSopInfo;
import com.qmth.sop.business.entity.TFCustomFlow;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * sop表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
public interface TBSopInfoService extends IService<TBSopInfo> {

    /**
     * 查询动态sop表名是否存在
     *
     * @param db
     * @param tableName
     * @return
     */
    int selectSopDynamicExist(String db, String tableName);

    /**
     * 保存动态sop信息
     *
     * @param tfCustomFlow
     * @param flowId
     * @param flowTaskResult
     * @return
     */
    Boolean saveDynamicSop(TFCustomFlow tfCustomFlow, Long flowId, FlowTaskResult flowTaskResult);

    /**
     * 查询动态sop数据
     *
     * @param tableName
     * @param flowDeploymentId
     * @param flowId
     * @param fieldName
     * @return
     */
    List<Map> selectDynamicSop(String tableName, String flowDeploymentId, Long flowId, String fieldName);
}
